PUT Api/DamagePhoto/{id}

URI Example

PUT Api/DamagePhoto/{id}

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

DamagePhotoBinding
NameDescriptionTypeAdditional information
Description

Dictionary of string [key] and string [value]

None.

DamageId

integer

Required

Inactive

boolean

None.

Request Formats

application/json, text/json, application/hal+json
  • {
      "description": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "damageId": 1,
      "inactive": true
    }
    

Resource Description

DamagePhotoResource
NameDescriptionTypeAdditional information
Id

integer

None.

DamageId

integer

None.

FileName

string

None.

Size

integer

None.

Height

integer

None.

Width

integer

None.

Url

string

None.

UpdateDate

date

None.

Description

Object

None.

Inactive

boolean

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": 1,
      "damageId": 2,
      "fileName": "sample string 3",
      "size": 4,
      "height": 5,
      "width": 6,
      "url": "sample string 7",
      "updateDate": "2026-10-29T13:06:28.7033291+01:00",
      "description": {},
      "inactive": true,
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }